DefaultsConfigurationBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.config.builders.DefaultsConfigurationBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class DefaultsConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.DefaultsConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class DefaultsConfigurationBuilder

extends AbstractConfigurationBuilder

Configures defaults required by Mule. This configuration builder is used to configure mule with these defaults when no other ConfigurationBuilder that sets these is being used. This is used by both AbstractMuleTestCase and MuleClient.
Default instances of the following are configured:

- `SimpleRegistryBootstrap`
- `QueueManager`
- `SecurityManager`
- `DefaultEndpointFactory`
- `Model` systemModel
- `ThreadingProfile` defaultThreadingProfile
- `ThreadingProfile` defaultMessageDispatcherThreadingProfile
- `ThreadingProfile` defaultMessageRequesterThreadingProfile
- `ThreadingProfile` defaultMessageReceiverThreadingProfile
- `ThreadingProfile` defaultComponentThreadingProfile

  Field Summary

  Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
  `logger`

  Constructor Summary
  `DefaultsConfigurationBuilder()`

  Method Summary
  `protected void` | `applyLifecycle(LifecycleManager lifecycleManager)`
  `protected void` | `doConfigure(MuleContext muleContext)`

  Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
  `configure, isConfigured`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### DefaultsConfigurationBuilder

      public DefaultsConfigurationBuilder()

  Method Detail

  ### doConfigure

      protected void doConfigure(MuleContext muleContext)
                          throws Exception

    Specified by:
      `doConfigure` in class `AbstractConfigurationBuilder`
    Throws:
      `Exception`

  ### applyLifecycle

      protected void applyLifecycle(LifecycleManager lifecycleManager)
                             throws Exception

    Specified by:
      `applyLifecycle` in class `AbstractConfigurationBuilder`
    Throws:
      `Exception`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.